# GstStreamCollection

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstStreamCollection

A collection of GstStream that are available.

A GstStreamCollection will be provided by elements that can make those streams available. Applications can use the collection to show the user what streams are available by using gst_stream_collection_get_stream()

Once posted, a GstStreamCollection is immutable. Updates are made by sending a new GstStreamCollection message, which may or may not share some of the GstStream objects from the collection it replaces. The receiver can check the sender of a stream collection message to know which collection is obsoleted.

Several elements in a pipeline can provide GstStreamCollection.

Applications can activate streams from a collection by using the GST_EVENT_SELECT_STREAMS event on a pipeline, bin or element.

Since : 1.10

### Class structure

#### GstStreamCollectionClass

GstStreamCollection class structure

##### Fields

`parent_class` (GstObjectClass) –

the parent class structure

### Gst.StreamCollectionClass

GstStreamCollection class structure

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent class structure

### Gst.StreamCollectionClass

GstStreamCollection class structure

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent class structure

## Gst.StreamCollection

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.StreamCollection

A collection of Gst.Stream that are available.

A Gst.StreamCollection will be provided by elements that can make those streams available. Applications can use the collection to show the user what streams are available by using Gst.StreamCollection.prototype.get_stream()

Once posted, a Gst.StreamCollection is immutable. Updates are made by sending a new Gst.StreamCollection message, which may or may not share some of the Gst.Stream objects from the collection it replaces. The receiver can check the sender of a stream collection message to know which collection is obsoleted.

Several elements in a pipeline can provide Gst.StreamCollection.

Applications can activate streams from a collection by using the Gst.EventType.SELECT_STREAMS event on a pipeline, bin or element.

Since : 1.10

## Gst.StreamCollection

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.StreamCollection

A collection of Gst.Stream that are available.

A Gst.StreamCollection will be provided by elements that can make those streams available. Applications can use the collection to show the user what streams are available by using Gst.StreamCollection.get_stream()

Once posted, a Gst.StreamCollection is immutable. Updates are made by sending a new Gst.StreamCollection message, which may or may not share some of the Gst.Stream objects from the collection it replaces. The receiver can check the sender of a stream collection message to know which collection is obsoleted.

Several elements in a pipeline can provide Gst.StreamCollection.

Applications can activate streams from a collection by using the Gst.EventType.SELECT_STREAMS event on a pipeline, bin or element.

Since : 1.10

### Constructors

#### gst_stream_collection_new

    GstStreamCollection *
    gst_stream_collection_new (const gchar* upstream_id)

Create a new GstStreamCollection.

Parameters:

`upstream_id` ( [allow-none]) –

The stream id of the parent stream

Returns ( [transfer: full]) –

The new GstStreamCollection.

Since : 1.10

#### Gst.StreamCollection.prototype.new

    function Gst.StreamCollection.prototype.new(upstream_id: String): {
        // javascript wrapper for 'gst_stream_collection_new'
    }

Create a new Gst.StreamCollection.

Parameters:

`upstream_id` (String) –

The stream id of the parent stream

Returns (Gst.StreamCollection) –

The new Gst.StreamCollection.

Since : 1.10

#### Gst.StreamCollection.new

    def Gst.StreamCollection.new (upstream_id):
        #python wrapper for 'gst_stream_collection_new'

Create a new Gst.StreamCollection.

Parameters:

`upstream_id` (str) –

The stream id of the parent stream

Returns (Gst.StreamCollection) –

The new Gst.StreamCollection.

Since : 1.10

### Methods

#### gst_stream_collection_add_stream

    gboolean
    gst_stream_collection_add_stream (GstStreamCollection * collection,
                                      GstStream * stream)

Add the given stream to the collection.

Parameters:

`collection` –

a GstStreamCollection

`stream` ( [transfer: full]) –

the GstStream to add

Returns –

TRUE if the stream was properly added, else FALSE

Since : 1.10

#### Gst.StreamCollection.prototype.add_stream

    function Gst.StreamCollection.prototype.add_stream(stream: Gst.Stream): {
        // javascript wrapper for 'gst_stream_collection_add_stream'
    }

Add the given stream to the collection.

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

`stream` (Gst.Stream) –

the Gst.Stream to add

Returns (Number) –

TRUE if the stream was properly added, else FALSE

Since : 1.10

#### Gst.StreamCollection.add_stream

    def Gst.StreamCollection.add_stream (self, stream):
        #python wrapper for 'gst_stream_collection_add_stream'

Add the given stream to the collection.

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

`stream` (Gst.Stream) –

the Gst.Stream to add

Returns (bool) –

TRUE if the stream was properly added, else FALSE

Since : 1.10

#### gst_stream_collection_get_size

    guint
    gst_stream_collection_get_size (GstStreamCollection * collection)

Get the number of streams this collection contains

Parameters:

`collection` –

a GstStreamCollection

Returns –

The number of streams that collection contains

Since : 1.10

#### Gst.StreamCollection.prototype.get_size

    function Gst.StreamCollection.prototype.get_size(): {
        // javascript wrapper for 'gst_stream_collection_get_size'
    }

Get the number of streams this collection contains

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

Returns (Number) –

The number of streams that collection contains

Since : 1.10

#### Gst.StreamCollection.get_size

    def Gst.StreamCollection.get_size (self):
        #python wrapper for 'gst_stream_collection_get_size'

Get the number of streams this collection contains

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

Returns (int) –

The number of streams that collection contains

Since : 1.10

#### gst_stream_collection_get_stream

    GstStream *
    gst_stream_collection_get_stream (GstStreamCollection * collection,
                                      guint index)

Retrieve the GstStream with index index from the collection.

The caller should not modify the returned GstStream

Parameters:

`collection` –

a GstStreamCollection

`index` –

Index of the stream to retrieve

Returns ( [transfer: none][nullable]) –

A GstStream

Since : 1.10

#### Gst.StreamCollection.prototype.get_stream

    function Gst.StreamCollection.prototype.get_stream(index: Number): {
        // javascript wrapper for 'gst_stream_collection_get_stream'
    }

Retrieve the Gst.Stream with index index from the collection.

The caller should not modify the returned Gst.Stream

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

`index` (Number) –

Index of the stream to retrieve

Returns (Gst.Stream) –

A Gst.Stream

Since : 1.10

#### Gst.StreamCollection.get_stream

    def Gst.StreamCollection.get_stream (self, index):
        #python wrapper for 'gst_stream_collection_get_stream'

Retrieve the Gst.Stream with index index from the collection.

The caller should not modify the returned Gst.Stream

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

`index` (int) –

Index of the stream to retrieve

Returns (Gst.Stream) –

A Gst.Stream

Since : 1.10

#### gst_stream_collection_get_upstream_id

    const gchar*
    gst_stream_collection_get_upstream_id (GstStreamCollection * collection)

Returns the upstream id of the collection.

Parameters:

`collection` –

a GstStreamCollection

Returns ( [transfer: none][nullable]) –

The upstream id

Since : 1.10

#### Gst.StreamCollection.prototype.get_upstream_id

    function Gst.StreamCollection.prototype.get_upstream_id(): {
        // javascript wrapper for 'gst_stream_collection_get_upstream_id'
    }

Returns the upstream id of the collection.

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

Returns (String) –

The upstream id

Since : 1.10

#### Gst.StreamCollection.get_upstream_id

    def Gst.StreamCollection.get_upstream_id (self):
        #python wrapper for 'gst_stream_collection_get_upstream_id'

Returns the upstream id of the collection.

Parameters:

`collection` (Gst.StreamCollection) –

a Gst.StreamCollection

Returns (str) –

The upstream id

Since : 1.10

### Signals

#### stream-notify

    stream_notify_callback (GstStreamCollection * self,
                            GstStream * prop_stream,
                            GParamSpec * prop,
                            gpointer user_data)

The stream notify signal is used to be notified of property changes to streams within the collection.

Parameters:

`self` –
No description available
`prop_stream` –

the GstStream that originated the signal

`prop` –

the property that changed

`user_data` –
No description available

Flags: Run First / No Hooks

#### stream-notify

    function stream_notify_callback(self: Gst.StreamCollection, prop_stream: Gst.Stream, prop: GObject.ParamSpec, user_data: Object): {
        // javascript callback for the 'stream-notify' signal
    }

The stream notify signal is used to be notified of property changes to streams within the collection.

Parameters:

`self` (Gst.StreamCollection) –
No description available
`prop_stream` (Gst.Stream) –

the Gst.Stream that originated the signal

`prop` (GObject.ParamSpec) –

the property that changed

`user_data` (Object) –
No description available

Flags: Run First / No Hooks

#### stream-notify

    def stream_notify_callback (self, prop_stream, prop, *user_data):
        #python callback for the 'stream-notify' signal

The stream notify signal is used to be notified of property changes to streams within the collection.

Parameters:

`self` (Gst.StreamCollection) –
No description available
`prop_stream` (Gst.Stream) –

the Gst.Stream that originated the signal

`prop` (GObject.ParamSpec) –

the property that changed

`user_data` (variadic) –
No description available

Flags: Run First / No Hooks

### Properties

#### upstream-id

    “upstream-id” gchar*

stream-id

Flags : Read / Write / Construct

#### upstream-id

    “upstream-id” String

stream-id

Flags : Read / Write / Construct

#### upstream_id

    “self.props.upstream_id” str

stream-id

Flags : Read / Write / Construct

### Virtual Methods

#### stream_notify

    stream_notify (GstStreamCollection * collection,
                   GstStream * stream,
                   GParamSpec * pspec)

default signal handler for the stream-notify signal

Parameters:

`collection` –
No description available
`stream` –
No description available
`pspec` –
No description available

#### vfunc_stream_notify

    function vfunc_stream_notify(collection: Gst.StreamCollection, stream: Gst.Stream, pspec: GObject.ParamSpec): {
        // javascript implementation of the 'stream_notify' virtual method
    }

default signal handler for the stream-notify signal

Parameters:

`collection` (Gst.StreamCollection) –
No description available
`stream` (Gst.Stream) –
No description available
`pspec` (GObject.ParamSpec) –
No description available

#### do_stream_notify

    def do_stream_notify (collection, stream, pspec):
        #python implementation of the 'stream_notify' virtual method

default signal handler for the stream-notify signal

Parameters:

`collection` (Gst.StreamCollection) –
No description available
`stream` (Gst.Stream) –
No description available
`pspec` (GObject.ParamSpec) –
No description available

## Function Macros

### GST_STREAM_COLLECTION_CAST

    #define GST_STREAM_COLLECTION_CAST(obj)        ((GstStreamCollection*)(obj))

The results of the search are